Mercenary Redfoot:
Once I overheard some Dwarves talking in a blacksmith's shop... The one that seemed to be in charge was desperately seeking a scroll, something about hieroglyphs. I couldn't make out the details, but it had something to do with ancient technology. Until then I had thought that Dwarves were only capable of working in blacksmith shops and warehouses. Now I know that they have been seriously underestimated by the Humans.
Return